package ru.ulstu.paper.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class PaperFilterDto {
    private final Integer authorId;
    private final Integer year;

    @JsonCreator
    public PaperFilterDto(@JsonProperty("authorId") Integer authorId,
                          @JsonProperty("year") Integer year) {
        this.authorId = authorId;
        this.year = year;
    }

    public Integer getAuthorId() {
        return authorId;
    }

    public Integer getYear() {
        return year;
    }
}
